import React, { Component } from "react";
import NavBar from "../components/NavBar";
import About from "../components/About";
import Footer from "../components/Footer";
import DropdownContainer from "../components/DropdownContainer";
import "../assets/stylesheets/app.scss";

export default class AboutRoute extends Component {
  constructor(props) {
    super(props);
    this.state = {
      hamburger: false
    };
    document.title = "ITR - About";
  }

  hamburgerToggle = () => {
    this.setState({ hamburger: !this.state.hamburger });
  }

  render() {
    return (
      <div className="container">
        {this.state.hamburger ? <DropdownContainer hamburgerToggle={this.hamburgerToggle}/> : null}
        <About></About>
        <NavBar hamburgerToggle={this.hamburgerToggle}></NavBar>
        <Footer></Footer>
      </div>
    );
  }
}
